Subject: Re: bug#49277: 28.0.50; [PATCH] Fix ediff3 with window-combinaison-resize

From: martin rudalics <[email-masked]>
Date: Wed, 30 Jun 2021 09:37:46 +0200

> I have a bug when calling ediff3, the layout is not a balanced.
 >
 > Ultimately I found that combining this settings were the culprit :
 >
 > (setq window-combination-resize t
 >        even-window-sizes nil)
 >
 > ;; you can test it with eg :
 > (setq default-directory "/home/user")
 > (ediff3 ".bashrc"
 >          ".bash_history"
 >          ".bash_logout")
 >
 > Removing the manual resizing when splitting windows and relying rather
 > on 'window-combinaison-resize' to balance the layout, solve the issue.

I think we can easily do that but it does not handle the

(setq window-combination-resize t
       even-window-sizes nil
       ediff-window-setup-function 'ediff-setup-windows-plain)

case here.  Shouldn't we fix that too?

Thanks, martin